<?php 
require_once "../modelos/Ordendecompra.php";
if (strlen(session_id())<1) 
	session_start();

$ordendecompra = new Ordendecompra();

$idordendecompra	=isset($_POST["idordendecompra"])? limpiarCadena($_POST["idordendecompra"]):"";
$idcliente			=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idtransportista	=isset($_POST["idtransportista"])? limpiarCadena($_POST["idtransportista"]):"";
$idtransporte		=isset($_POST["idtransporte"])? limpiarCadena($_POST["idtransporte"]):"";
$idvendedor			=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idusuario			=$_SESSION["idusuario"];
$tipo_comprobante	=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante	=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$fecha_hora			=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto			=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta		=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_ventad		=isset($_POST["total_ventad"])? limpiarCadena($_POST["total_ventad"]):"";
$total_ventai		=isset($_POST["total_ventai"])? limpiarCadena($_POST["total_ventai"]):"";
$total_ventaid		=isset($_POST["total_ventaid"])? limpiarCadena($_POST["total_ventaid"]):"";
$iddetallec			=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idpedidoc			=isset($_POST["idpedidoc"])? limpiarCadena($_POST["idpedidoc"]):"";
$idarticuloc		=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar		=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idclientedespacho	=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$pesof				=isset($_POST["pesof"])? limpiarCadena($_POST["pesof"]):"";
$cajasf				=isset($_POST["cajasf"])? limpiarCadena($_POST["cajasf"]):"";
$capacidadf			=isset($_POST["capacidadf"])? limpiarCadena($_POST["capacidadf"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idordendecompra)) {
			$rspta=$ordendecompra->insertar($idcliente,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,
			$fecha_hora,$impuesto,$total_venta,$total_ventad,$total_ventai,$total_ventaid,$idtransportista,$idvendedor,$tasa_dollar,$idclientedespacho,$idtransporte,$pesof,$cajasf,$capacidadf,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["precio_ventapvp"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$ordendecompra->anular($idordendecompra);
		echo $rspta ? "Factura anulada correctamente" : "No se pudo anular la factura";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$ordendecompra->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$ordendecompra->mostrar($idordendecompra);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idordendecompra
		$id=$_GET['id'];

		$rspta=$ordendecompra->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Descuento</th>
		<th>ImpArt18</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_venta,2,',','.').'</td>
			<td>'.number_format($reg->descuento,2,',','.').'</td>
			<td>'.number_format($reg->impuestoart18,2,',','.').'</td>
			<td>'.number_format($reg->subtotal,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

    case 'listar':
		$rspta=$ordendecompra->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
                 if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='NotaEntrega') {
					$url='reportes/FacturaNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='reportes/FacturaNew.php?id=';
				 //$url='reportes/FacturaNormalNewFisioterapia.php?id=';
                 }

			$data[]=array(
            "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordendecompra.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordendecompra.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordendecompra.')"><i class="fa fa-eye"></i></button>').
            '<a target="_blank" href="'.$url.$reg->idordendecompra.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
            "6"=>number_format($reg->total_venta,2,',','.'),
            "7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarf':
		$rspta=$ordendecompra->listarf();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
    		$url='reportes/FacturaNormalNewFisioterapia.php?id=';
     		$data[]=array(
            "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordendecompra.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordendecompra.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordendecompra.')"><i class="fa fa-eye"></i></button>').
            '<a target="_blank" href="'.$url.$reg->idordendecompra.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
            "6"=>number_format($reg->total_venta,2,',','.'),
            "7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarFacturas':
		$rspta			=$ordendecompra->listarFacturas($idcliente);
		$dataA			=Array();
		$porcentaje		=0;
		$preciod		=0;
		$precio			=0;
		$numerolote 	='N/A';
		$impuestoart18	=0;
		$impuestoart18d	=0;
		$preciopvp		=0;
		$preciopvpd		=0;
		$idalmacen		='N/A';
		$fechalote		='N/A';
		$descripcion	= '';
		$excento		= 'si';

		while ($reg=$rspta->fetch_object()) {
			$preciod	=$reg->preciod;
			$precio		=$reg->precio;
			$descripcion='Factura : '.$reg->num_comprobante;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idordendecompra.',\''.$idalmacen.'\',\''.$descripcion.'\','.$precio.','.$preciod.','.$porcentaje.',\''.$numerolote.'\',\''.$fechalote.'\',\''.$reg->fecha_hora.'\',\''.$excento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->num_comprobante,
						"2"=>$reg->fecha_hora,
						"3"=>number_format($preciod,2,',','.'),
						"4"=>$reg->estado,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona 		= new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Todos Clientes';
		$rspta = $persona->listarc();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
		}
	break;

	case 'selectClienteCita':
		require_once "../modelos/Paciente.php";
		$persona 		= new Paciente();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Paciente';
		$rspta = $persona->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpaciente.'>'.$reg->nombre1.' '.$reg->apellido1.'</option>';
		}
	break;


	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Chofer';
		$rspta = $transportista->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransporte':
		require_once "../modelos/Transporte.php";
		$transporte 	= new Transporte();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Vehículo';
		$rspta 			= $transporte->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransporte.':'.$reg->capacidad.'>'.$reg->vehiculo.'-Capacidad:'.number_format($reg->capacidad,0,',','.').'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 		= new Vendedor();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Vendedor';
		$rspta 			= $vendedor->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentaa();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->peso.','.$reg->dimesion.','.$reg->factorconversion.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentab();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						 onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->peso.','.$reg->dimesion.','.$reg->factorconversion.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentac();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->peso.','.$reg->dimesion.','.$reg->factorconversion.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarServiciosVentaFisioterapia();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		//onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.')">',
		$almacen		='N/A';
		$nrolote		='N/A';
		$fechalote		='N/A';
		$fechacita		='N/A';
		$idcita			='N/A';
		$impuestoart18 	= 0;
		$impuestoart18d	= 0;
		$preciopvp		= 0;
		$preciopvpd		= 0;
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning"
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->preciod.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$fechacita.'\',\''.$reg->exento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.',\''.$idcita.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	
}
 ?>